> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/farming/proxyminter-contract/entrypoints-overview/minter-entrypoint/mint_tokens.md).

# mint\_tokens

An entrypoint for creating a transaction for minting a new [QuipuSwap Governance tokens](https://tzkt.io/KT193D4vozYnhGJQVtw7CoxxqphqUEEwK6Vb/operations/). Call of this entrypoint just generates mint QUIPU tokens transaction and sends it to the **QUIPU token** contract.

### Call parameters

```pascaligo
type mint_gov_tok_type  is [@layout:comb] record [
  receiver              : address;
  amount                : nat;
]

type mint_gov_toks_type is list(mint_gov_tok_type)
```

| Field    | Type    | Description                                 |
| -------- | ------- | ------------------------------------------- |
| receiver | address | Receiver of minted tokens                   |
| amount   | nat     | Amount of tokens to be minted to a receiver |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const proxyMinterAddress = "KT1...";
const receiver = "tz1.../KT1...";
const amount = 100;
const mintParams = [
    { receiver, amount },
    ...
];
const proxyMinter = await tezos.contract.at(proxyMinterAddress);
const operation = await proxyMinter.methods.mint_tokens(mintParams).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `ProxyMinter/sender-is-not-a-minter` - `sender` of the transaction is not registered by an administrator minter.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/proxyminter-contract/entrypoints-overview/minter-entrypoint/mint_tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
